public static final class AuthzPolicy.AuthzRule.To.RequestOperation.Builder extends GeneratedMessage.Builder<AuthzPolicy.AuthzRule.To.RequestOperation.Builder> implements AuthzPolicy.AuthzRule.To.RequestOperationOrBuilderDescribes properties of one or more targets of a request.
Protobuf type
google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > AuthzPolicy.AuthzRule.To.RequestOperation.BuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
addAllHosts(Iterable<? extends AuthzPolicy.AuthzRule.StringMatch> values)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder addAllHosts(Iterable<? extends AuthzPolicy.AuthzRule.StringMatch> values)Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
values |
Iterable<? extends com.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch> |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
addAllMethods(Iterable<String> values)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder addAllMethods(Iterable<String> values)Optional. A list of HTTP methods to match against. Each entry must be a valid HTTP method name (GET, PUT, POST, HEAD, PATCH, DELETE, OPTIONS). It only allows exact match and is always case sensitive. Limited to 10 methods per Authorization Policy.
repeated string methods = 4 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
values |
Iterable<String>The methods to add. |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
This builder for chaining. |
addAllPaths(Iterable<? extends AuthzPolicy.AuthzRule.StringMatch> values)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder addAllPaths(Iterable<? extends AuthzPolicy.AuthzRule.StringMatch> values)Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
values |
Iterable<? extends com.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch> |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
addHosts(AuthzPolicy.AuthzRule.StringMatch value)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder addHosts(AuthzPolicy.AuthzRule.StringMatch value)Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
value |
AuthzPolicy.AuthzRule.StringMatch |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
addHosts(AuthzPolicy.AuthzRule.StringMatch.Builder builderForValue)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder addHosts(AuthzPolicy.AuthzRule.StringMatch.Builder builderForValue)Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
AuthzPolicy.AuthzRule.StringMatch.Builder |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
addHosts(int index, AuthzPolicy.AuthzRule.StringMatch value)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder addHosts(int index, AuthzPolicy.AuthzRule.StringMatch value)Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameters | |
|---|---|
| Name | Description |
index |
int |
value |
AuthzPolicy.AuthzRule.StringMatch |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
addHosts(int index, AuthzPolicy.AuthzRule.StringMatch.Builder builderForValue)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder addHosts(int index, AuthzPolicy.AuthzRule.StringMatch.Builder builderForValue)Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameters | |
|---|---|
| Name | Description |
index |
int |
builderForValue |
AuthzPolicy.AuthzRule.StringMatch.Builder |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
addHostsBuilder()
public AuthzPolicy.AuthzRule.StringMatch.Builder addHostsBuilder()Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.StringMatch.Builder |
|
addHostsBuilder(int index)
public AuthzPolicy.AuthzRule.StringMatch.Builder addHostsBuilder(int index)Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.StringMatch.Builder |
|
addMethods(String value)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder addMethods(String value)Optional. A list of HTTP methods to match against. Each entry must be a valid HTTP method name (GET, PUT, POST, HEAD, PATCH, DELETE, OPTIONS). It only allows exact match and is always case sensitive. Limited to 10 methods per Authorization Policy.
repeated string methods = 4 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe methods to add. |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
This builder for chaining. |
addMethodsBytes(ByteString value)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder addMethodsBytes(ByteString value)Optional. A list of HTTP methods to match against. Each entry must be a valid HTTP method name (GET, PUT, POST, HEAD, PATCH, DELETE, OPTIONS). It only allows exact match and is always case sensitive. Limited to 10 methods per Authorization Policy.
repeated string methods = 4 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes of the methods to add. |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
This builder for chaining. |
addPaths(AuthzPolicy.AuthzRule.StringMatch value)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder addPaths(AuthzPolicy.AuthzRule.StringMatch value)Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
value |
AuthzPolicy.AuthzRule.StringMatch |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
addPaths(AuthzPolicy.AuthzRule.StringMatch.Builder builderForValue)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder addPaths(AuthzPolicy.AuthzRule.StringMatch.Builder builderForValue)Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
AuthzPolicy.AuthzRule.StringMatch.Builder |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
addPaths(int index, AuthzPolicy.AuthzRule.StringMatch value)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder addPaths(int index, AuthzPolicy.AuthzRule.StringMatch value)Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameters | |
|---|---|
| Name | Description |
index |
int |
value |
AuthzPolicy.AuthzRule.StringMatch |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
addPaths(int index, AuthzPolicy.AuthzRule.StringMatch.Builder builderForValue)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder addPaths(int index, AuthzPolicy.AuthzRule.StringMatch.Builder builderForValue)Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameters | |
|---|---|
| Name | Description |
index |
int |
builderForValue |
AuthzPolicy.AuthzRule.StringMatch.Builder |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
addPathsBuilder()
public AuthzPolicy.AuthzRule.StringMatch.Builder addPathsBuilder()Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.StringMatch.Builder |
|
addPathsBuilder(int index)
public AuthzPolicy.AuthzRule.StringMatch.Builder addPathsBuilder(int index)Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.StringMatch.Builder |
|
build()
public AuthzPolicy.AuthzRule.To.RequestOperation build()| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation |
|
buildPartial()
public AuthzPolicy.AuthzRule.To.RequestOperation buildPartial()| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation |
|
clear()
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder clear()| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
clearHeaderSet()
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder clearHeaderSet()Optional. A list of headers to match against in http header.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
clearHosts()
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder clearHosts()Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
clearMcp()
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder clearMcp()Optional. Defines the MCP protocol attributes to match on. If the MCP payload in the request body cannot be successfully parsed, the request will be denied. This field can be set only for AuthzPolicies targeting AgentGateway resources.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.MCP mcp = 5 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
clearMethods()
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder clearMethods()Optional. A list of HTTP methods to match against. Each entry must be a valid HTTP method name (GET, PUT, POST, HEAD, PATCH, DELETE, OPTIONS). It only allows exact match and is always case sensitive. Limited to 10 methods per Authorization Policy.
repeated string methods = 4 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
This builder for chaining. |
clearPaths()
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder clearPaths()Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
getDefaultInstanceForType()
public AuthzPolicy.AuthzRule.To.RequestOperation getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation |
|
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getHeaderSet()
public AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet getHeaderSet()Optional. A list of headers to match against in http header.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet |
The headerSet. |
getHeaderSetBuilder()
public AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet.Builder getHeaderSetBuilder()Optional. A list of headers to match against in http header.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet.Builder |
|
getHeaderSetOrBuilder()
public AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSetOrBuilder getHeaderSetOrBuilder()Optional. A list of headers to match against in http header.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSetOrBuilder |
|
getHosts(int index)
public AuthzPolicy.AuthzRule.StringMatch getHosts(int index)Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.StringMatch |
|
getHostsBuilder(int index)
public AuthzPolicy.AuthzRule.StringMatch.Builder getHostsBuilder(int index)Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.StringMatch.Builder |
|
getHostsBuilderList()
public List<AuthzPolicy.AuthzRule.StringMatch.Builder> getHostsBuilderList()Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
List<Builder> |
|
getHostsCount()
public int getHostsCount()Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
int |
|
getHostsList()
public List<AuthzPolicy.AuthzRule.StringMatch> getHostsList()Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
List<StringMatch> |
|
getHostsOrBuilder(int index)
public AuthzPolicy.AuthzRule.StringMatchOrBuilder getHostsOrBuilder(int index)Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.StringMatchOrBuilder |
|
getHostsOrBuilderList()
public List<? extends AuthzPolicy.AuthzRule.StringMatchOrBuilder> getHostsOrBuilderList()Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
List<? extends com.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatchOrBuilder> |
|
getMcp()
public AuthzPolicy.AuthzRule.To.RequestOperation.MCP getMcp()Optional. Defines the MCP protocol attributes to match on. If the MCP payload in the request body cannot be successfully parsed, the request will be denied. This field can be set only for AuthzPolicies targeting AgentGateway resources.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.MCP mcp = 5 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.MCP |
The mcp. |
getMcpBuilder()
public AuthzPolicy.AuthzRule.To.RequestOperation.MCP.Builder getMcpBuilder()Optional. Defines the MCP protocol attributes to match on. If the MCP payload in the request body cannot be successfully parsed, the request will be denied. This field can be set only for AuthzPolicies targeting AgentGateway resources.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.MCP mcp = 5 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.MCP.Builder |
|
getMcpOrBuilder()
public AuthzPolicy.AuthzRule.To.RequestOperation.MCPOrBuilder getMcpOrBuilder()Optional. Defines the MCP protocol attributes to match on. If the MCP payload in the request body cannot be successfully parsed, the request will be denied. This field can be set only for AuthzPolicies targeting AgentGateway resources.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.MCP mcp = 5 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.MCPOrBuilder |
|
getMethods(int index)
public String getMethods(int index)Optional. A list of HTTP methods to match against. Each entry must be a valid HTTP method name (GET, PUT, POST, HEAD, PATCH, DELETE, OPTIONS). It only allows exact match and is always case sensitive. Limited to 10 methods per Authorization Policy.
repeated string methods = 4 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the element to return. |
| Returns | |
|---|---|
| Type | Description |
String |
The methods at the given index. |
getMethodsBytes(int index)
public ByteString getMethodsBytes(int index)Optional. A list of HTTP methods to match against. Each entry must be a valid HTTP method name (GET, PUT, POST, HEAD, PATCH, DELETE, OPTIONS). It only allows exact match and is always case sensitive. Limited to 10 methods per Authorization Policy.
repeated string methods = 4 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the value to return. |
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes of the methods at the given index. |
getMethodsCount()
public int getMethodsCount()Optional. A list of HTTP methods to match against. Each entry must be a valid HTTP method name (GET, PUT, POST, HEAD, PATCH, DELETE, OPTIONS). It only allows exact match and is always case sensitive. Limited to 10 methods per Authorization Policy.
repeated string methods = 4 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
int |
The count of methods. |
getMethodsList()
public ProtocolStringList getMethodsList()Optional. A list of HTTP methods to match against. Each entry must be a valid HTTP method name (GET, PUT, POST, HEAD, PATCH, DELETE, OPTIONS). It only allows exact match and is always case sensitive. Limited to 10 methods per Authorization Policy.
repeated string methods = 4 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
ProtocolStringList |
A list containing the methods. |
getPaths(int index)
public AuthzPolicy.AuthzRule.StringMatch getPaths(int index)Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.StringMatch |
|
getPathsBuilder(int index)
public AuthzPolicy.AuthzRule.StringMatch.Builder getPathsBuilder(int index)Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.StringMatch.Builder |
|
getPathsBuilderList()
public List<AuthzPolicy.AuthzRule.StringMatch.Builder> getPathsBuilderList()Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
List<Builder> |
|
getPathsCount()
public int getPathsCount()Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
int |
|
getPathsList()
public List<AuthzPolicy.AuthzRule.StringMatch> getPathsList()Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
List<StringMatch> |
|
getPathsOrBuilder(int index)
public AuthzPolicy.AuthzRule.StringMatchOrBuilder getPathsOrBuilder(int index)Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.StringMatchOrBuilder |
|
getPathsOrBuilderList()
public List<? extends AuthzPolicy.AuthzRule.StringMatchOrBuilder> getPathsOrBuilderList()Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
List<? extends com.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatchOrBuilder> |
|
hasHeaderSet()
public boolean hasHeaderSet()Optional. A list of headers to match against in http header.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the headerSet field is set. |
hasMcp()
public boolean hasMcp()Optional. Defines the MCP protocol attributes to match on. If the MCP payload in the request body cannot be successfully parsed, the request will be denied. This field can be set only for AuthzPolicies targeting AgentGateway resources.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.MCP mcp = 5 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the mcp field is set. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeFrom(AuthzPolicy.AuthzRule.To.RequestOperation other)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder mergeFrom(AuthzPolicy.AuthzRule.To.RequestOperation other)| Parameter | |
|---|---|
| Name | Description |
other |
AuthzPolicy.AuthzRule.To.RequestOperation |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
mergeHeaderSet(AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet value)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder mergeHeaderSet(AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet value)Optional. A list of headers to match against in http header.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
value |
AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
mergeMcp(AuthzPolicy.AuthzRule.To.RequestOperation.MCP value)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder mergeMcp(AuthzPolicy.AuthzRule.To.RequestOperation.MCP value)Optional. Defines the MCP protocol attributes to match on. If the MCP payload in the request body cannot be successfully parsed, the request will be denied. This field can be set only for AuthzPolicies targeting AgentGateway resources.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.MCP mcp = 5 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
value |
AuthzPolicy.AuthzRule.To.RequestOperation.MCP |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
removeHosts(int index)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder removeHosts(int index)Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
removePaths(int index)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder removePaths(int index)Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
setHeaderSet(AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet value)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder setHeaderSet(AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet value)Optional. A list of headers to match against in http header.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
value |
AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
setHeaderSet(AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet.Builder builderForValue)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder setHeaderSet(AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet.Builder builderForValue)Optional. A list of headers to match against in http header.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet.Builder |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
setHosts(int index, AuthzPolicy.AuthzRule.StringMatch value)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder setHosts(int index, AuthzPolicy.AuthzRule.StringMatch value)Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameters | |
|---|---|
| Name | Description |
index |
int |
value |
AuthzPolicy.AuthzRule.StringMatch |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
setHosts(int index, AuthzPolicy.AuthzRule.StringMatch.Builder builderForValue)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder setHosts(int index, AuthzPolicy.AuthzRule.StringMatch.Builder builderForValue)Optional. A list of HTTP Hosts to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameters | |
|---|---|
| Name | Description |
index |
int |
builderForValue |
AuthzPolicy.AuthzRule.StringMatch.Builder |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
setMcp(AuthzPolicy.AuthzRule.To.RequestOperation.MCP value)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder setMcp(AuthzPolicy.AuthzRule.To.RequestOperation.MCP value)Optional. Defines the MCP protocol attributes to match on. If the MCP payload in the request body cannot be successfully parsed, the request will be denied. This field can be set only for AuthzPolicies targeting AgentGateway resources.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.MCP mcp = 5 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
value |
AuthzPolicy.AuthzRule.To.RequestOperation.MCP |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
setMcp(AuthzPolicy.AuthzRule.To.RequestOperation.MCP.Builder builderForValue)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder setMcp(AuthzPolicy.AuthzRule.To.RequestOperation.MCP.Builder builderForValue)Optional. Defines the MCP protocol attributes to match on. If the MCP payload in the request body cannot be successfully parsed, the request will be denied. This field can be set only for AuthzPolicies targeting AgentGateway resources.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.MCP mcp = 5 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
AuthzPolicy.AuthzRule.To.RequestOperation.MCP.Builder |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
setMethods(int index, String value)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder setMethods(int index, String value)Optional. A list of HTTP methods to match against. Each entry must be a valid HTTP method name (GET, PUT, POST, HEAD, PATCH, DELETE, OPTIONS). It only allows exact match and is always case sensitive. Limited to 10 methods per Authorization Policy.
repeated string methods = 4 [(.google.api.field_behavior) = OPTIONAL];
| Parameters | |
|---|---|
| Name | Description |
index |
intThe index to set the value at. |
value |
StringThe methods to set. |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
This builder for chaining. |
setPaths(int index, AuthzPolicy.AuthzRule.StringMatch value)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder setPaths(int index, AuthzPolicy.AuthzRule.StringMatch value)Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameters | |
|---|---|
| Name | Description |
index |
int |
value |
AuthzPolicy.AuthzRule.StringMatch |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|
setPaths(int index, AuthzPolicy.AuthzRule.StringMatch.Builder builderForValue)
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder setPaths(int index, AuthzPolicy.AuthzRule.StringMatch.Builder builderForValue)Optional. A list of paths to match against. The match can be one of exact, prefix, suffix, or contains (substring match). Matches are always case sensitive unless the ignoreCase is set. Limited to 10 paths per Authorization Policy. Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameters | |
|---|---|
| Name | Description |
index |
int |
builderForValue |
AuthzPolicy.AuthzRule.StringMatch.Builder |
| Returns | |
|---|---|
| Type | Description |
AuthzPolicy.AuthzRule.To.RequestOperation.Builder |
|